Bug 3505 - globus_handler.h - Value of enumeration constant must be in range of signed integer
: globus_handler.h - Value of enumeration constant must be in range of signed i...
Status: RESOLVED FIXED
: C WS Core
Serialization/Transport
: 4.0.0
: RS/6000 AIX
: P3 normal
: 4.0.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-06-21 09:40 by
Modified: 2008-01-11 15:26 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-21 09:40:15
On AIX 5.2. The only real fatal problem is the (S) one.


make[4]: Leaving directory
`/home/condor/execute/dir_36418/userdir/globus-installer/source-trees/wsrf/c/message/source'
/bin/bash
/home/condor/execute/dir_36418/userdir/install/sbin/libtool-vendorcc32dbg
--mode=compile /prereq/vacpp-6/bin/xlc_r -q32 -DPACKAGE_NAME=\"\"
-DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\"
-DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"globus_c_ws_messaging\" -DVERSION=\"2.1\" 
-I.
-I/home/condor/execute/dir_36418/userdir/globus-installer/source-trees/wsrf/c/message/source
  -I/home/condor/execute/dir_36418/userdir/install/include
-I/home/condor/execute/dir_36418/userdir/install/include/vendorcc32dbg  -g
-qfullpath -D_ALL_SOURCE -q32 -D_ALL_SOURCE   -c -o
globus_soap_message_deserialize.lo globus_soap_message_deserialize.c
mkdir .libs
 /prereq/vacpp-6/bin/xlc_r -q32 -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\"
-DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\"
-DPACKAGE=\"globus_c_ws_messaging\" -DVERSION=\"2.1\" -I.
-I/home/condor/execute/dir_36418/userdir/globus-installer/source-trees/wsrf/c/message/source
-I/home/condor/execute/dir_36418/userdir/install/include
-I/home/condor/execute/dir_36418/userdir/install/include/vendorcc32dbg -g
-qfullpath -D_ALL_SOURCE -q32 -D_ALL_SOURCE -c globus_soap_message_deserialize.c
 -DPIC -o .libs/globus_soap_message_deserialize.o
"globus_handler.h", line 54.43: 1506-243 (S) Value of enumeration constant must
be in range of signed integer.
"globus_soap_message_deserialize.c", line 158.33: 1506-280 (E) Function argument
assignment between types "const char*" and "const unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 158.12: 1506-068 (E) Operation between
types "unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 161.24: 1506-280 (E) Function argument
assignment between types "const char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 161.9: 1506-280 (E) Function argument
assignment between types "const char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 173.28: 1506-280 (E) Function argument
assignment between types "const char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 173.13: 1506-280 (E) Function argument
assignment between types "const char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 329.17: 1506-280 (E) Function argument
assignment between types "const unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 327.19: 1506-068 (E) Operation between
types "char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 375.26: 1506-280 (E) Function argument
assignment between types "const unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 374.22: 1506-068 (E) Operation between
types "unsigned char*" and "const unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 377.26: 1506-280 (E) Function argument
assignment between types "const unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 376.25: 1506-068 (E) Operation between
types "unsigned char*" and "const unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 378.26: 1506-068 (E) Operation between
types "unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 378.58: 1506-068 (E) Operation between
types "unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 467.17: 1506-280 (E) Function argument
assignment between types "const unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 465.19: 1506-068 (E) Operation between
types "char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 635.57: 1506-280 (E) Function argument
assignment between types "const unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 714.60: 1506-280 (E) Function argument
assignment between types "const unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 848.58: 1506-280 (E) Function argument
assignment between types "const unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 902.59: 1506-280 (E) Function argument
assignment between types "const unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 913.25: 1506-280 (E) Function argument
assignment between types "const unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 915.25: 1506-280 (E) Function argument
assignment between types "const unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 917.25: 1506-280 (E) Function argument
assignment between types "const unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 919.25: 1506-280 (E) Function argument
assignment between types "const unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 950.30: 1506-068 (E) Operation between
types "char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 963.32: 1506-068 (E) Operation between
types "char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 976.31: 1506-068 (E) Operation between
types "char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 1094.9: 1506-280 (E) Function argument
assignment between types "const unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 1095.9: 1506-280 (E) Function argument
assignment between types "const unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 1096.44: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 1139.18: 1506-068 (E) Operation
between types "char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 1140.22: 1506-068 (E) Operation
between types "char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 1194.65: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1216.34: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1263.30: 1506-280 (E) Function
argument assignment between types "const char*" and "const unsigned char*" is
not allowed.
"globus_soap_message_deserialize.c", line 1263.13: 1506-280 (E) Function
argument assignment between types "const char*" and "const unsigned char*" is
not allowed.
"globus_soap_message_deserialize.c", line 1320.34: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1326.38: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1326.56: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1325.14: 1506-068 (E) Operation
between types "char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 1331.38: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1330.14: 1506-068 (E) Operation
between types "char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 1379.33: 1506-280 (E) Function
argument assignment between types "const char*" and "const unsigned char*" is
not allowed.
"globus_soap_message_deserialize.c", line 1427.35: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1433.39: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1433.58: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1438.39: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1453.33: 1506-280 (E) Function
argument assignment between types "const char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 1503.34: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1509.38: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1509.56: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1514.38: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1569.34: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1575.38: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1575.56: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1580.38: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1641.34: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1647.38: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1647.56: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1652.38: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1705.34: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1711.38: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1711.56: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1716.38: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1761.34: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1761.52: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1769.30: 1506-280 (E) Function
argument assignment between types "const char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 1850.34: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1856.38: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1856.56: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1861.38: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1871.20: 1506-280 (E) Function
argument assignment between types "const char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 1907.34: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1913.38: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1913.56: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1918.38: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1928.27: 1506-280 (E) Function
argument assignment between types "const char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 1955.35: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1955.54: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 1963.21: 1506-280 (E) Function
argument assignment between types "const char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 1976.12: 1506-280 (E) Function
argument assignment between types "unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 2022.30: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 2052.34: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 2058.38: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 2058.56: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 2063.38: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 2073.30: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 2342.27: 1506-280 (E) Function
argument assignment between types "const char*" and "const unsigned char*" is
not allowed.
"globus_soap_message_deserialize.c", line 2377.19: 1506-280 (E) Function
argument assignment between types "const char*" and "const unsigned char*" is
not allowed.
"globus_soap_message_deserialize.c", line 2453.20: 1506-280 (E) Function
argument assignment between types "const char*" and "const unsigned char*" is
not allowed.
"globus_soap_message_deserialize.c", line 2518.30: 1506-280 (E) Function
argument assignment between types "const char*" and "const unsigned char*" is
not allowed.
"globus_soap_message_deserialize.c", line 2608.12: 1506-280 (E) Function
argument assignment between types "const char*" and "const unsigned char*" is
not allowed.
"globus_soap_message_deserialize.c", line 2645.15: 1506-280 (E) Function
argument assignment between types "const char*" and "const unsigned char*" is
not allowed.
"globus_soap_message_deserialize.c", line 2687.21: 1506-280 (E) Function
argument assignment between types "const char*" and "const unsigned char*" is
not allowed.
"globus_soap_message_deserialize.c", line 2728.20: 1506-280 (E) Function
argument assignment between types "const char*" and "const unsigned char*" is
not allowed.
"globus_soap_message_deserialize.c", line 2770.15: 1506-280 (E) Function
argument assignment between types "const char*" and "const unsigned char*" is
not allowed.
"globus_soap_message_deserialize.c", line 2811.21: 1506-280 (E) Function
argument assignment between types "const char*" and "const unsigned char*" is
not allowed.
"globus_soap_message_deserialize.c", line 2824.12: 1506-280 (E) Function
argument assignment between types "unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 2878.58: 1506-280 (E) Function
argument assignment between types "const char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 2920.27: 1506-280 (E) Function
argument assignment between types "const char*" and "const unsigned char*" is
not allowed.
"globus_soap_message_deserialize.c", line 2920.9: 1506-280 (E) Function argument
assignment between types "const char*" and "const unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 2928.33: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 2928.16: 1506-068 (E) Operation
between types "char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 2931.24: 1506-068 (E) Operation
between types "char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 2940.41: 1506-280 (E) Function
argument assignment between types "const char*" and "const unsigned char*" is
not allowed.
"globus_soap_message_deserialize.c", line 2967.34: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 2974.38: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 2974.56: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 2979.38: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 2991.20: 1506-068 (E) Operation
between types "char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 2994.28: 1506-068 (E) Operation
between types "char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 3053.37: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 3053.20: 1506-068 (E) Operation
between types "char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 3054.24: 1506-068 (E) Operation
between types "char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 3085.35: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 3091.39: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 3091.58: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 3090.19: 1506-068 (E) Operation
between types "char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 3096.39: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char* const" is
not allowed.
"globus_soap_message_deserialize.c", line 3095.19: 1506-068 (E) Operation
between types "char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 3106.40: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 3116.37: 1506-280 (E) Function
argument assignment between types "const unsigned char*" and "char*" is not allowed.
"globus_soap_message_deserialize.c", line 3116.20: 1506-068 (E) Operation
between types "char*" and "unsigned char*" is not allowed.
"globus_soap_message_deserialize.c", line 3117.24: 1506-068 (E) Operation
between types "char*" and "unsigned char*" is not allowed.
make[3]: *** [globus_soap_message_deserialize.lo] Error 1
make[3]: Leaving directory
`/home/condor/execute/dir_36418/userdir/globus-installer/source-trees/wsrf/c/message/source'
------- Comment #1 From 2005-06-22 09:04:52 -------
I committed fixes to these to the GT4 branch and trunk. As a bonus, XML
serialization of floats now uses more than 1 significant digit :)